# Data & code for Dehmelt, Meier, Hinz et al. 2020

This repository contains data and code for our 2020 manuscript *"Gaze stabilisation behaviour is anisotropic across visual field locations in zebrafish"* by Dehmelt, Meier, Hinz et al. The corresponding author is [Aristides B. Arrenberg](mailto:aristides.arrenberg@uni-tuebingen.de).

#### Prerequisites:

Code was developed and tested in MATLAB version 2018a. Both older and newer version should be compatible. Running the code additionally requires the open-source *cbrewer* package for custom colour maps published by Cynthia Brewer, e.g. [via MATLAB Central](https://de.mathworks.com/matlabcentral/fileexchange/34087-cbrewer-colorbrewer-schemes-for-matlab). The content of this package can be placed anywhere on your MATLAB path. If you do not wish to use the *cbrewer* package, comment out all lines of code containing "cbrewer", and replace them with your preferred colour maps.

#### The "data" and "code" folders:

These contain pre-processed data in MAT files, and MATLAB code to reproduce all or parts of Figures 3-6, as well as Figure 3-figure supplement 5. Data file paths are relative to the code file paths, and are hard-coded as such in the M files; so *the "data" and "code" folders should always be placed in the same location*. If you want to download only some of the subfolders (e.g., only those pertaining to a single figure), make sure to nonetheless place them in two neighbouring folders called "data" and "code".

#### The "raw data examples" folder:

The repository also contains examples of raw data files (in the "raw data examples" folder), namely tab-separated TXT eye tracking data files. These match the conventions described in [our published protocol](https://www.nature.com/articles/s41596-018-0002-0), "Evoking and tracking zebrafish eye movement in multiple larvae with ZebEyeTrack" by Dehmelt et al., Nature Protocols 2018.

#### License:

Upon publication of the manuscript in a peer-reviewed journal, all files will be published under Creative Commons license CC BY-NC-SA 4.0 (see the LICENSE file above).